use std::process::Command;

pub fn run_civ6_ai_benchmark() {
    // make sure CS:GO is installed via Steam
    download_game_steam(289070);
}

// run the CS:GO benchmark (using benchmark file from PTS)
pub fn run_csgo_benchmark() {
    // make sure CS:GO is installed via Steam
    download_game_steam(730);
}

pub fn run_demd_benchmark() {
    // make sure CS:GO is installed via Steam
    download_game_steam(337000);
}

fn download_game_steam(game_id: u32) {
    let mut steam_path = "steam";
    if cfg!(windows) {
        steam_path = "C:\\Program Files (x86)\\Steam\\steam.exe";
    }

    // first we need to make sure CS:GO is installed via Steam
    let install_output = Command::new(steam_path)
        .arg(format!("steam://install/{}", game_id))
        .output()
        .expect("Failed to execute command");

    // check that the command succeeded
    assert!(install_output.status.success());

    // print the test's output
    println!("{}", String::from_utf8_lossy(&install_output.stdout));
}
