use std::{thread, time};
use std::process::exit;
use sysinfo::{System,SystemExt};

pub fn cpu_stress_math(runtime: u16, threads: usize) {
    // fetch system information
    let mut sys = System::new_all();
    sys.refresh_all();
    let num_cpus = sys.cpus().len();

    let mut num_threads = threads;
    if num_threads == 0 {
        println!("Number of threads not specified, defaulting to CPU's thread count of {}.", num_cpus);
        num_threads = num_cpus;
    } else {
        println!("Using specified thread count of {}", num_threads);
    }

    for i in 0..num_threads {
        println!("Spawning thread number {}", i + 1);
        thread::spawn (|| {
            worker();
        });
    }

    println!("Sleeping main thread for the allotted runtime of {} minute(s).", runtime);
    let duration = time::Duration::from_secs((runtime * 60).into());
    thread::sleep(duration);
    exit(0);
}

fn worker() {
    let mut _x = 0;
    loop {
        _x += 1;
        _x -= 1;
    }
}
